Cancel a session
curl --request POST \
--url https://api.gominerva.com/idv/v1/sessions/{sessionId}/cancel \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.gominerva.com/idv/v1/sessions/{sessionId}/cancel"
payload = { "reason": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.gominerva.com/idv/v1/sessions/{sessionId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"tenant_id": "<string>",
"workspace_id": "<string>",
"status": "collecting_artifacts",
"capture_manifest": {
"workflow": "liveness_and_id",
"required_kinds": [
"liveness_front"
]
},
"step_manifest": {
"steps": [
{
"step_id": "<string>",
"type": "liveness",
"required": true,
"title": "<string>",
"config": {
"accepted_id_types": [
"driver_license"
],
"custom_id_types": [
{
"id_type": "<string>",
"label": "<string>",
"sides": "one_sided",
"description": "<string>"
}
],
"sides": "auto",
"questions": [
{
"question_id": "<string>",
"label": "<string>",
"type": "text",
"required": true,
"required_when": {
"question_id": "<string>",
"equals": true
},
"visible_when": {
"question_id": "<string>",
"equals": true
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"documents": [
{
"document_id": "<string>",
"label": "<string>",
"description": "<string>",
"accepted_content_types": [
"application/pdf"
],
"required": true
}
]
}
}
]
},
"artifacts": [
{
"artifact_id": "<string>",
"kind": "liveness_front",
"status": "reserved",
"document_id": "<string>",
"upload_reference": "<string>",
"content_type": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"delete_after": "2023-11-07T05:31:56Z",
"reserved_at": "2023-11-07T05:31:56Z",
"uploaded_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"delete_after": "2023-11-07T05:31:56Z",
"creator_application_id": "<string>",
"profile_id": "<string>",
"review_status": "request_sent",
"flag_categories": [
"idv"
],
"profile_update_enabled": true,
"flag_settings": {},
"privacy_contact_email": "jsmith@example.com",
"consent_evidence": {
"redacted": false,
"notice_text": "<string>",
"tenant_name": "<string>",
"privacy_contact_email": "jsmith@example.com",
"accepted": true,
"accepted_at": "2023-11-07T05:31:56Z",
"notice_version": "<string>",
"notice_digest": "<string>"
},
"review_history": [
{
"status_from": "<string>",
"status_to": "<string>",
"actor_kind": "application",
"actor_id": "<string>",
"note": "<string>",
"at": "2023-11-07T05:31:56Z",
"kind": "",
"profile_updates_fields": [
"<string>"
],
"assignee_user_id_from": "<string>",
"assignee_user_id_to": "<string>"
}
],
"assignee": "<string>",
"submitted_at": "<string>",
"reviewed_at": "<string>",
"legal_hold": true,
"workflow_ref": {
"workflow_id": "<string>",
"name": "<string>",
"revision": 2
},
"theme_ref": {
"theme_id": "<string>",
"name": "<string>",
"revision": 2
},
"assessment": {
"status": "collecting_artifacts",
"model_id": "<string>",
"inference_profile_id": "<string>",
"prompt_version": "<string>",
"face_match": "match",
"face_match_performed": true,
"liveness": "live",
"document_authenticity": "authentic",
"document": {
"id_type": "driver_license",
"issuing_country": "US",
"issuing_subdivision": "US-CA",
"id_type_confidence": 0.5,
"jurisdiction_confidence": 0.5
},
"fraud_flags": [
{
"code": "<string>",
"category": "image_quality",
"severity": "low",
"confidence": 0.5,
"explanation": "<string>",
"rationale": "<string>",
"gating": true,
"evidence_codes": [
"laminate_lift_or_reseal"
],
"normalization_reason_codes": [
"assessment_status_invalid"
]
}
],
"reviewer_summary": "<string>",
"assessed_at": "2023-11-07T05:31:56Z",
"holder_apparent_age_range": "<string>",
"barcode_check": "<string>"
},
"biometrics_delete_after": "2023-11-07T05:31:56Z",
"id_images_delete_after": "2023-11-07T05:31:56Z",
"documents_delete_after": "2023-11-07T05:31:56Z",
"biometrics_purged_at": "2023-11-07T05:31:56Z",
"id_images_purged_at": "2023-11-07T05:31:56Z",
"documents_purged_at": "2023-11-07T05:31:56Z",
"sensitive_data_purged_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}Sessions
Cancel a session
Transitions a non-terminal session to canceled (terminal). Idempotent if already canceled. Rejected with 409 while assessing or from a non-cancelable terminal state. Invalidates the session token. Available to a customer application or an authenticated dashboard member in the session’s tenant and workspace; never available to a session token.
POST
/
sessions
/
{sessionId}
/
cancel
Cancel a session
Authorizations
applicationApiKeydashboardUserToken
Authorization: Api-Key <application_api_key> (legacy X-Api-Key also accepted).
Path Parameters
Body
application/json
Response
Canceled (or already canceled)
Reviewer-safe session projection (management planes).
Show child attributes
Show child attributes